*{
    margin: 0;
    padding: 0;
}

body{
    font: 13px / 1.65em "HelveticaNeue", "Helvetica Neue", Helvetica, Arial, sans-serif;
    color: #444;
    height: 300vh;
}

html, body {
    overflow-x: hidden;
}

/* NAVBAR */

.navbar {
    transition: all 0.3s ease;
    background-color: rgba(255, 255, 255, 1);
    padding-bottom: 21px;
}  



@media(min-width: 1199px) {
    .navbar {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 1030;
    }

    body {
        padding-top: 80px; /* hauteur navbar desktop */
    }


    .navbar.scrolled {
        background-color: rgba(255, 255, 255, 0.7);
        padding: 2px 0;
    }
    
    .navbar.scrolled .navbar-brand img {
        width: 60px;
        transition: width 0.3s ease;
    }

    .navbar.scrolled .vertical-bar{
        display: none;
    }
}


.navbar-brand{
    height: 65px;
    width: 300px;
}

.navbar-brand img{
    display: block;
    width: 80px;
    max-height: 88px;
    margin: -5px 30px;
}


.navbar-toggler{
    margin-left: auto;
}


.nav-item{
    margin-right: 1rem;
    font-size: 15px;
    font-weight: 500;

}

.nav-link {
    position: relative;
    padding-bottom: 8px;
}

/* Barre (invisible par défaut) */
.nav-link::before {
    content: "";
    position: absolute;
    left: 0;
    top: 73px;
    bottom: 0;
    width: 0;
    height: 1px;
    background-color: #007bffbd;
    transition: top 0.3s ease;
    transition: width 0.2s ease;
}

@media(min-width: 1200px){

    .navbar.scrolled .nav-link::before {
        top: 50px;
    }
    
    /* Barre visible au hover */
    .nav-link:hover::before {
        width: 100%;
    }
    
    /* Barre TOUJOURS visible sur le lien actif */
    .nav-link.active::before {
        width: 100% ;
    }
}



.nav-link:hover{
    color: black;
    /* font-weight: bold; */
}

.social-media{
    margin-left: 70px;
}

.social-link{
    text-decoration: none;
    text-align: center;
    margin: 0 10px;
    font-size: 15px;
    color: #969696;

}

@media(min-width: 1200px) {
    .vertical-bar {
        position: absolute;
        right: 250px;
        top: 0;
        width: 1px;
        height: 97px;
        background-color: #969696;
        opacity: 0.3;
    }
}

@media(max-width: 768px){

    .social-media{
        display: none;
    }

    .navbar-toggler {
        margin-top: -20px;
    }

}


@media (max-width: 1199px) {
    
    
    .navbar-collapse {
        margin-top: 50px; /* descend le menu */
    }
    
    .navbar-nav .nav-link {
        padding: 10px 0;
    }
}

/* Sous menu */


.dropdown-toggle::after{
    display: none;
}

.dropdown-menu{
    border: none;
    display: block;
    border-radius: 1px;
    opacity: 0;
    transition: opacity 0.5s ease;
}

.dropdown-item{
    color: #969696;
    font-size: 13px;
    
}

@media (min-width: 1200px) {
    .dropdown-menu{
        margin-top: 37px;
    }

    .navbar.scrolled .dropdown-menu{
        margin-top: 15px;
    }

    .dropdown:hover .dropdown-menu {
        opacity: 1;
    }

    .liste-style{
        display: none;
    }
}

@media (max-width: 1199px) {
    .dropdown-menu {
        opacity: 1;
        position: static;
        box-shadow: none;
        /* padding-left: 20px; */
    }

    .liste-style{
        margin-right: 20px;
    }

    .dropdown-item {
        font-size: 14px;
    }
}

@media(max-width: 1199px){
    
    .navbar-collapse.show .nav-separator::after{
        content: "";
        display: block;
        background-color: #969696;
        height: 1px;
        width: 100%;
        opacity: 0.5;
    }
}

/* Slider */

.stack {
  position: relative;
  height: 400px;
}
.stack img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.stack > * {
  transition: opacity 2s ease;
}

/* Presentation */

#presentation{
    margin-top: 80px;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
}

.presentation-title{
    text-transform: uppercase;
    font-family: "Lato", sans-serif;
    font-weight: 300;
    font-size: 45px;
    color: #222;

}

.presentation-category{
    text-transform: uppercase;
    color: #222;
    font-size: 16px;
    margin-top: -10px;
    font-family: 'open sans', Helvetica, Arial, sans-serif;
    margin-bottom: 40px;
}


.beautiful-separator{
    margin-bottom: 40px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
}

.separator{
    height: 1px;
    background-color: #969696;
    width: 70px;
    opacity: 0.4;
}

.bowl{
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: #444;
}


#presentation h5{

    text-transform: uppercase;
    font-size: 20px;
    margin: 16px 0;

}

#presentation p {
    font-size: 20px;
    font-weight: 200;
    font-family: 'open sans', Helvetica, Arial, sans-serif;
    margin-bottom: 80px;
}

/* production image */

.img-box{
    position: relative;
    width: 100%;
    aspect-ratio: 1 / 0.7;
    overflow: hidden;
}

.img-box img {
  width: 100%;
  height: 100%;
  object-fit: cover; 
  transition: all 0.3s ease;
}



.images-text{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    font-size: 20px;
    font-weight: bold;
    font-family: 'open sans', Helvetica, Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: opacity 0.3s ease;
}

@media(max-width: 768px){
    .images-text{
    opacity: 1;
    }

    .img-box img{
        transform: scale(1.1);
    }
}

.img-box:hover .images-text{
    opacity: 1;
}

.img-box:hover img{
    transform: scale(1.1);
}

/* Newsletter asking */

.news-letter-asking{
    background-color: #abbbbc;
    margin-bottom: 0;
    text-align: center;
    padding: 40px 0 50px 0;
    color: #fff;

}
.news-letter-asking h1{
    font-family: 'Lato', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 30px;
    margin-bottom: 30px;
    margin-top: -20px;
}

.mail-separators{
    margin-bottom: -20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}


.mail-separator{
    background-color: #fff;
    height: 1px;
    width: 70px;
    opacity: 0.8;
}


/* Newsletter */


.news-letter-inscription{
    background-color: #e2e2e2;
    padding: 40px 0;
}

.news-letter-inscription-div{
    display: flex;
    justify-content: flex-end;
    
}

.news-letter-inscription-div h4{
    color: #222;
    font-size: 20px;
    font-family: "Lato", "Helvetica Neue", "Helvetica, Arial", sans-serif;
    font-weight: 700;
    margin-bottom: 20px;
}

.newsletter-content{
    width: 400px;               /* même largeur que les inputs */
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: flex-start;    /* ligne verticale à gauche */
    margin-left: auto;
}

.news-letter-inscription-form{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
}


.button-1{
    width: 120px;
    height: 50px;
    background-color: black;
    color: white;
}

.form-input::placeholder{
    color: #969696;
    font-weight: 300;
    font-size: 15px;
}

.form-input{
    border: none;
    border-radius: 1px;
    width: 350px;
    height: 50px;
    padding-left: 15px;
    font-size: 15px;
}

.news-letter-inscription-img img{
    margin: 30px 40px 10px 40px;
}

/* Footer */

footer{
    background-color: #444;
    padding: 40px 0;
}

.footer-links{
    font-family: 'open sans', Helvetica, Arial, sans-serif;
    display: flex;
    flex-direction: column;
    color: #fff;
}

.footer-links a{
    color: #fff;
    text-decoration: none;
    margin-bottom: 7px;
}

.footer-links h4{
    margin-bottom: 10px;
}

.amour{
    color: #e8e8e8;
    font-size: 11px;
    opacity: 0.4;
}

.more p, .more a{
    opacity: 0.8;   
}


.italic{
    font-style: italic;
}
.footer-margin{
    margin-bottom: 5px;
}

.uppercase{
    text-transform: uppercase;
}


















